Ellipse Class

class NXOpen.Ellipse

Bases: NXOpen.Conic

Represents an ellipse curve.

The start and end angles are measured relative to the X and Y axes of the orientation matrix of the conic. To create a new instance of this class, use NXOpen.CurveCollection.CreateEllipse()

New in version NX3.0.0.

Properties

Property Description
CenterPoint Returns the center.
Color Returns or sets the color of the object.
EndAngle Returns the end angle.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
IsReference Returns the reference state of a curve
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
MajorRadius Returns the major radius.
Matrix Returns the orientation matrix.
MinorRadius Returns the minor radius.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
RotationAngle Returns the rotation angle.
StartAngle Returns the start angle.
Tag Returns the Tag for this object.
Update Returns the update option.
Visibility Returns the visibility.

Methods

Method Description
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
Evaluate Evaluate a smart object.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDraftingCurveInfo Creates new DraftingCurveInfo object
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetLength Returns the length of the object
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetOrientation Gets the orientation of the conic.
GetParameters Gets the parameters of the ellipse - the major/minor radii, start/end angles and the centre of the ellipse.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
ProtectFromDelete Protects the SmartObject from being deleted if any referencing objects are deleted.
RedisplayObject Redisplays the object in all views.
ReleaseDeleteProtection Removes delete protection from the SmartObject.
RemoveParameters Removes the smart object parameters.
RemoveViewDependency Remove dependency on all views from an object.
ReplaceParameters Edit a smart object by replacing its parameters using parameters of other smart object of the same class.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetOrientation Sets the center of the conic.
SetParameters Sets the parameters of the ellipse - the major/minor radii, start/end angles and the centre of the ellipse.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
SetVisibility Sets the visibility.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Property Detail

EndAngle

Ellipse.EndAngle

Returns the end angle.

-------------------------------------

Getter Method

Signature EndAngle

Returns:In radians
Return type:float

New in version NX3.0.0.

License requirements: None.

IsOccurrence

Ellipse.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

IsReference

Ellipse.IsReference

Returns the reference state of a curve

-------------------------------------

Getter Method

Signature IsReference

Returns:True - Reference; False - Not Reference
Return type:bool

New in version NX8.0.0.

License requirements: None.

JournalIdentifier

Ellipse.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

MajorRadius

Ellipse.MajorRadius

Returns the major radius.

-------------------------------------

Getter Method

Signature MajorRadius

Returns:
Return type:float

New in version NX3.0.0.

License requirements: None.

MinorRadius

Ellipse.MinorRadius

Returns the minor radius.

-------------------------------------

Getter Method

Signature MinorRadius

Returns:
Return type:float

New in version NX3.0.0.

License requirements: None.

Name

Ellipse.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Ellipse.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Ellipse.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Ellipse.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

StartAngle

Ellipse.StartAngle

Returns the start angle.

-------------------------------------

Getter Method

Signature StartAngle

Returns:In radians
Return type:float

New in version NX3.0.0.

License requirements: None.

Method Detail

FindObject

Ellipse.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetDraftingCurveInfo

Ellipse.GetDraftingCurveInfo

Creates new DraftingCurveInfo object

Signature GetDraftingCurveInfo()

Returns:New DraftingCurveInfo object. Returns None if the input curve

is not a drafting curve :rtype: NXOpen.Drawings.DraftingCurveInfo

New in version NX10.0.0.

License requirements: None.

GetLength

Ellipse.GetLength

Returns the length of the object

Signature GetLength()

Returns:
Return type:float

New in version NX3.0.0.

License requirements: None.

GetParameters

Ellipse.GetParameters

Gets the parameters of the ellipse - the major/minor radii, start/end angles and the centre of the ellipse.

Signature GetParameters()

Returns:a tuple
Return type:A tuple consisting of (majorRadius, minorRadius, startAngle, endAngle, rotationAngle, center). majorRadius is a float. minorRadius is a float. startAngle is a float. In radians endAngle is a float. In radians rotationAngle is a float. In radians center is a NXOpen.Point3d.

New in version NX11.0.0.

License requirements: None.

Print

Ellipse.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

Ellipse.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetParameters

Ellipse.SetParameters

Overloaded method SetParameters

  • SetParameters(majorRadius, minorRadius, startAngle, endAngle, rotationAngle, center)
  • SetParameters(startPoint, endPoint, anchorPoint, rho)

-------------------------------------

Sets the parameters of the ellipse - the major/minor radii, start/end angles and the centre of the ellipse.

Signature SetParameters(majorRadius, minorRadius, startAngle, endAngle, rotationAngle, center)

Parameters:
  • majorRadius (float) –
  • minorRadius (float) –
  • startAngle (float) – In radians
  • endAngle (float) – In radians
  • rotationAngle (float) – In radians
  • center (NXOpen.Point3d) –

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Sets the start, end, anchor, rho of the conic.

Signature SetParameters(startPoint, endPoint, anchorPoint, rho)

Parameters:

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------